Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.jacc
Class RoleMapperFactory

    java.lang.Object
      weblogic.security.jacc.RoleMapperFactory

    public abstract class RoleMapperFactory

extends Object

Abstract factory class for RoleMapper.

See Also:
  `RoleMapper`

Constructor Summary
`RoleMapperFactory()` Class noarg constructor.

Method Summary
`abstract RoleMapper` | `getRoleMapper(String appID, boolean remove)` Returns a RoleMapper for the provided application ID, optionally removing all role and policy information from the RoleMapper before returning it.
`abstract RoleMapper` | `getRoleMapper(String appID, String contextID, boolean remove)` Returns a RoleMapper for the provided application ID, optionally removing all role and policy information from the RoleMapper before returning it.
`static RoleMapperFactory` | `getRoleMapperFactory()` Returns an instance of a configured RoleMapperFactory (weblogic.security.jacc.RoleMapperFactory.provider).
`abstract RoleMapper` | `getRoleMapperForContextID(String contextID)` Returns a RoleMapper for the provided context ID.
`abstract void` | `removeRoleMapper(String appID)` Deletes a RoleMapper for the provided application ID, and any associated appID-to-contextID mappings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleMapperFactory

    public RoleMapperFactory()

  Class noarg constructor.

Method Detail

### getRoleMapperFactory

    public static RoleMapperFactory getRoleMapperFactory()
                                                  throws ClassNotFoundException,
                                                         PolicyContextException

  Returns an instance of a configured RoleMapperFactory (weblogic.security.jacc.RoleMapperFactory.provider).

  Throws:
    `ClassNotFoundException`
    `PolicyContextException`

### getRoleMapper

    public abstract RoleMapper getRoleMapper(String appID,
                                             boolean remove)

  Returns a RoleMapper for the provided application ID, optionally removing all role and policy information from the RoleMapper before returning it.

  Parameters:
    `appID` - A String representing the application ID, which is used to find the appropriate RoleMapper.

    `remove` - A boolean indicating whether or not an empty RoleMapper should be returned (without any role to principal information).

### getRoleMapper

    public abstract RoleMapper getRoleMapper(String appID,
                                             String contextID,
                                             boolean remove)

  Returns a RoleMapper for the provided application ID, optionally removing all role and policy information from the RoleMapper before returning it. It links the provided context ID to the application ID so that PolicyConfigurations can retrieve role-to-principal mappings using their context ID.

  Parameters:
    `appID` - A String representing the application ID, which is used to find the appropriate RoleMapper.

    `contextID` - A String representing the contextID to associate with the passed in appID.

    `remove` - A boolean indicating whether or not an empty RoleMapper should be returned (without any role-to-principal information).

### getRoleMapperForContextID

    public abstract RoleMapper getRoleMapperForContextID(String contextID)

  Returns a RoleMapper for the provided context ID.

  Parameters:
    `contextID` - A String representing the context ID, which is used to find the appropriate RoleMapper.

### removeRoleMapper

    public abstract void removeRoleMapper(String appID)

  Deletes a RoleMapper for the provided application ID, and any associated appID-to-contextID mappings.

  Parameters:
    `appID` - A String representing the appID, which is used to find the appropriate RoleMapper.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD